org.apache.fop.complexscripts.fonts

## Interface GlyphSubstitution

All Known Implementing Classes:
  GlyphSubstitutionSubtable

    public interface GlyphSubstitution

The `GlyphSubstitution` interface is implemented by a glyph substitution subtable that supports the determination of glyph substitution information based on script and language of the corresponding character content.

This work was originally authored by Glenn Adams (gadams@apache.org).

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `substitute(GlyphSubstitutionState ss)` Perform glyph substitution at the current index, mutating the substitution state object as required.

### Method Detail

#### substitute

    boolean substitute(GlyphSubstitutionState ss)

Perform glyph substitution at the current index, mutating the substitution state object as required. Only the context associated with the current index is processed.

Parameters:
  `ss` - glyph substitution state object
Returns:
  true if the glyph subtable was applied, meaning that the current context matches the associated input context glyph coverage table